package cn.com.qmth.examcloud.core.questions.service.cache;

import java.util.List;
import java.util.Map;

import cn.com.qmth.examcloud.core.questions.dao.entity.RandomPaperQuestion;

public class RandomPaperCache {
	private String name;

	private String paperStructId;

	/**
	 * key描述 精确结构：大题号-结构序号（1开始）-公开/非公开-难度 | 示例：1-1-true-难
	 * 蓝图结构：大题号-一级属性id-二级属性id-公开/非公开-难度 |
	 * 示例：1-1-60efd3e85d030a52bb08b1e8-60efd3e85d030a52bb08b1e9-true-易
	 */
	private Map<String, List<RandomPaperQuestion>> questionMap;

	public String getPaperStructId() {
		return paperStructId;
	}

	public void setPaperStructId(String paperStructId) {
		this.paperStructId = paperStructId;
	}

	public Map<String, List<RandomPaperQuestion>> getQuestionMap() {
		return questionMap;
	}

	public void setQuestionMap(Map<String, List<RandomPaperQuestion>> questionMap) {
		this.questionMap = questionMap;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

}
